/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

//import './bootstrap';
import { createApp } from 'vue';
import App from './components/App.vue';
import router from './routes';
import vuetify from './vuetify.js';
import { createPinia } from 'pinia'
import Permissions from "./mixins/Permissions.vue";
import showError from './mixins/showError.js';
import CKEditor from '@ckeditor/ckeditor5-vue';

//import '@fortawesome/fontawesome-free/css/all.min.css';
/**
 * Next, we will create a fresh Vue application instance. You may then begin
 * registering components with the application instance so they are ready
 * to use in your application's views. An example is included for you.
 */

const pinia = createPinia()
const app = createApp({
    components: {
        App
    }
});


//app.component('home-component', HomeComponent);


/**
 * The following block of code may be used to automatically register your
 * Vue components. It will recursively scan this directory for the Vue
 * components and automatically register them with their "basename".
 *
 * Eg. ./components/ExampleComponent.vue -> <example-component></example-component>
 */

// Object.entries(import.meta.glob('./**/*.vue', { eager: true })).forEach(([path, definition]) => {
//     app.component(path.split('/').pop().replace(/\.\w+$/, ''), definition.default);
// });

/**
 * Finally, we will attach the application instance to a HTML element with
 * an "id" attribute of "app". This element is included with the "auth"
 * scaffolding. Otherwise, you will need to add an element yourself.
 */
app.mixin(showError);
app.mixin(Permissions);
app.use(CKEditor);
app.use(pinia)
app.use(vuetify);
app.use(router);
app.mount('#app');
