<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted'             => 'Атрибут: необходимо принять.',
    'active_url'           => 'Атрибут: не является допустимым URL-адресом.',
    'after'                => 'Атрибут: должен быть датой после: date.',
    'after_or_equal'       => 'Атрибут: должен быть датой после или равной дате.',
    'alpha'                => 'Атрибут: может содержать только буквы.',
    'alpha_dash'           => 'Атрибут: может содержать только буквы, цифры, дефисы и подчеркивания.',
    'alpha_num'            => 'Атрибут: может содержать только буквы и цифры.',
    'array'                => 'Атрибут: должен быть массивом.',
    'before'               => 'Атрибут: должен быть датой перед: date.',
    'before_or_equal'      => 'Атрибут: должен быть датой до или равной дате.',
    'between'              => [
        'numeric' => 'Атрибут: должен находиться в диапазоне от: min до: max.',
        'file'    => 'Атрибут: должен находиться в диапазоне от: min до: max килобайт.',
        'string'  => 'Атрибут: должен содержать символы: min и: max.',
        'array'   => 'Атрибут: должен содержать от: min до: max элементов.',
    ],
    'boolean'              => 'Поле: attribute должно быть истинным или ложным.',
    'confirmed'            => 'Подтверждение: attribute не совпадает.',
    'date'                 => 'Атрибут: не является допустимой датой.',
    'date_equals'          => 'Атрибут: должен быть датой, равной: date.',
    'date_format'          => 'Атрибут: не соответствует формату: format.',
    'different'            => 'Атрибут: attribute и: other должны отличаться.',
    'digits'               => 'Атрибут: должен быть: digits цифрами.',
    'digits_between'       => 'Атрибут: должен быть между: min и: max цифрами.',
    'dimensions'           => 'Атрибут: имеет недопустимые размеры изображения.',
    'distinct'             => 'Поле: attribute имеет повторяющееся значение.',
    'email'                => 'Атрибут: должен быть действующим адресом электронной почты.',
    'ends_with'            => 'Атрибут: должен заканчиваться одним из следующих:: значения',
    'exists'               => 'Атрибут selected: недействителен.',
    'file'                 => 'Атрибут: должен быть файлом.',
    'filled'               => 'Поле: attribute должно иметь значение.',
    'gt'                   => [
        'numeric' => 'Атрибут: должен быть больше, чем: значение.',
        'file'    => 'Атрибут: должен быть больше, чем значение в килобайтах.',
        'string'  => 'Атрибут: должен содержать больше символов: value.',
        'array'   => 'Атрибут: должен содержать более: значений.',
    ],
    'gte'                  => [
        'numeric' => 'Атрибут: должен быть больше или равен: value.',
        'file'    => 'Атрибут: должен быть больше или равен: значение в килобайтах.',
        'string'  => 'Атрибут: должен быть больше или равен символам: значение.',
        'array'   => 'Атрибут: должен иметь элементы: value или больше.',
    ],
    'image'                => 'Атрибут: должен быть изображением.',
    'in'                   => 'Атрибут selected: недействителен.',
    'in_array'             => 'Поле: attribute не существует в: other.',
    'integer'              => 'Атрибут: должен быть целым числом.',
    'ip'                   => 'Атрибут: должен быть действительным IP-адресом.',
    'ipv4'                 => 'Атрибут: должен быть действительным адресом IPv4.',
    'ipv6'                 => 'Атрибут: должен быть действительным адресом IPv6.',
    'json'                 => 'Атрибут: должен быть допустимой строкой JSON.',
    'lt'                   => [
        'numeric' => 'Атрибут: должен быть меньше: значения.',
        'file'    => 'Атрибут: должен быть меньше: value килобайт.',
        'string'  => 'Атрибут: должен содержать меньше символов: value.',
        'array'   => 'Атрибут: должен содержать меньше: значений элементов.',
    ],
    'lte'                  => [
        'numeric' => 'Атрибут: должен быть меньше или равен: value.',
        'file'    => 'Атрибут: должен быть меньше или равен: значение в килобайтах.',
        'string'  => 'Атрибут: должен быть меньше или равен символам: значение.',
        'array'   => 'Атрибут: не может содержать более: значений элементов.',
    ],
    'max'                  => [
        'numeric' => 'Атрибут: не может быть больше, чем: макс.',
        'file'    => 'Атрибут: не может быть больше: max килобайт.',
        'string'  => 'Атрибут: не может содержать больше символов: max.',
        'array'   => 'Атрибут: не может содержать более: max элементов.',
    ],
    'mimes'                => 'Атрибут: должен быть файлом типа:: values.',
    'mimetypes'            => 'Атрибут: должен быть файлом типа:: values.',
    'min'                  => [
        'numeric' => 'Атрибут: должен быть не меньше: мин.',
        'file'    => 'Атрибут: должен быть не менее: min килобайт.',
        'string'  => 'Атрибут: должен содержать не менее: min символов.',
        'array'   => 'Атрибут: должен содержать как минимум: min элементов.',
    ],
    'not_in'               => 'Атрибут :выбранный недействителен.',
    'not_regex'            => 'Формат: атрибут недействителен.',
    'numeric'              => 'Атрибут: должен быть числом.',
    'present'              => 'Field: Attribute must be present.',
    'regex'                => 'Формат: атрибут недействителен.',
    'required'             => 'Поле атрибут:  обязательно  заполнения.',
    'required_if'          => 'Поле: атрибуттребуется, когда: other: значение.',
    'required_unless'      => 'Поле: attribute является обязательным, если: Другие не входит в: значения.',
    'required_with'        => 'Поле: атрибут  является обязательным, если присутствует: значения.',
    'required_with_all'    => 'Поле: атрибутявляется обязательным, если присутствуют: значения.',
    'required_without'     => 'Поле: атрибутявляется обязательным, если: значения отсутствует.',
    'required_without_all' => 'Поле: атрибут является обязательным, если нет ни одного из: значений.',
    'same'                 => 'Атрибут:  и :Другие должны совпадать.',
    'size'                 => [
        'numeric' => 'Атрибут: должен быть :размером.',
        'file'    => 'Атрибут: должен быть размером в килобайтах.',
        'string'  => 'Атрибут: должен содержать символы:размер.',
        'array'   => 'Атрибут: должен содержать элементы:размер.',
    ],
    'starts_with'          => 'Атрибут: должен начинаться с одного из следующих:: значений.',
    'string'               => 'Атрибут: должен быть строкой.',
    'timezone'             => 'Атрибут: должен быть допустимой зоной.',
    'unique'               => 'Атрибут: уже был занят.',
    'uploaded'             => 'Атрибут: не удалось загрузить.',
    'url'                  => 'Формат: атрибутнедействителен.',
    'uuid'                 => 'Атрибут: должен быть действительным UUID.',

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'настраиваемое сообщение',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [],

];
