#!/bin/bash
NAME=$1
LANGUAGE=$2

if [ -z "$NAME" ] || [ -z "$LANGUAGE" ]; then
    echo "Error: Debes indicar el nombre del bot y el idioma"
    exit 1
fi

if [ "$LANGUAGE" != "en" ] && [ "$LANGUAGE" != "ca" ] && [ "$LANGUAGE" != "es" ]; then
    echo "Error: El idioma debe ser 'en', 'ca' o 'es'"
    exit 1
fi

source env.sh

mkdir -p $RASADIR/$NAME_$LANGUAGE
rasa init --no-prompt --init-dir $RASADIR/$NAME_$LANGUAGE

# copiar plantilla y cambiar idioma
cp templates/config.yml $RASADIR/$NAME_$LANGUAGE/config.yml
sed -i "s/language: ca/language: $LANGUAGE/g" $RASADIR/$NAME_$LANGUAGE/config.yml

# Cambiar el modelo base
case $LANGUAGE in
    "ca")
        sed -i "s/model: 'en_core_web_md'/model: 'ca_core_news_md'/g" $RASADIR/$NAME_$LANGUAGE/config.yml
        ;;
    "es")
        sed -i "s/model: 'en_core_web_md'/model: 'es_core_news_md'/g" $RASADIR/$NAME_$LANGUAGE/config.yml
        ;;
esac
