#!/bin/bash
export RASADIR=/opt/rasa/
export VENVDIR=/opt/rasa/venv

create_rasadir() {
    mkdir -p $RASADIR
}

create_venv() {
    python3 -m venv $VENVDIR
    source $VENVDIR/bin/activate
    pip install --upgrade pip
}
install_dependencies() {
    pip install "rasa[full]"
    pip install spacy
    python -m spacy download es_core_news_md
    python -m spacy download ca_core_news_md
    python -m spacy download en_core_web_md
}

create_bot() {
    source $VENVDIR/bin/activate
    rasa init --init-dir test
}

if [ ! -d $RASADIR ]; then
    create_bot
fi

if [ ! -d $VENVDIR ]; then
    create_venv
    install_dependencies
fi
