from typing import Any, Text, Dict, List

import requests
import json
from rasa_sdk import Action, Tracker
from rasa_sdk.executor import CollectingDispatcher
import requests
from rasa_sdk.events import AllSlotsReset
class ActionLimpiarFormulario(Action):

    def name(self) -> Text:
        return "action_limpiar_formulario"

    def run(self, dispatcher: CollectingDispatcher,
            tracker: Tracker,
            domain: Dict[Text, Any]) -> List[Dict[Text,Any]]:
        return [AllSlotsReset()]

class ActionTerminarFormulario(Action):

    def name(self) -> Text:
        return "action_terminar_formulario"

    def run(self, dispatcher: CollectingDispatcher,
            tracker: Tracker,
            domain: Dict[Text, Any]) -> List[Dict[Text,Any]]:

        slots = tracker.current_slot_values()
        slots = json.dumps(slots)
        form_name = ""
        for i in range(len(tracker.events)-1, -1, -1):
            if "event" in tracker.events[i] and tracker.events[i]["event"] == "active_loop":
                if "name" in tracker.events[i] and tracker.events[i]["name"] != "" and tracker.events[i]["name"] is not None:
                    form_name = tracker.events[i]["name"]
                    break
        dispatcher.utter_message(text=f"[FORMULARIO_TERMINADO] {form_name} {slots}")
        return []