<?php

namespace Aunnait\Rasalicante\Console;

use Illuminate\Console\Command;

class CreateBot extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'chatbot:create {name} {language}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Create a new chatbot with the given name and language.';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     * It uses shell_exec php function. Executes the createbot.sh script in the script
     * folder from the package. The script receives the name and language as arguments and
     * saves them to variables in the function.
     *
     * @return int
     */
    public function handle()
    {
        $name = $this->argument('name');
        $language = $this->argument('language');
        shell_exec('bash ' . __DIR__  . '/../../scripts/createbot.sh $name  $language');

        return 0;
    }
}