<?php

namespace Aunnait\Rasalicante\Console;

use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class TrainBot extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'chatbot:train';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Entrenar los bots del sistema';

    /**
     * Create a new command instance.
     *e
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     * It uses shell_exec php function. Executes the createbot.sh script in the script
     * folder from the package. The script receives the name and language as arguments and
     * saves them to variables in the function.
     *
     * @return int
     */
    public function handle()
    {
        Log::debug("Comenzando trabajo de entrenamiento de bots");
        
        $bots = \DB::table('chatbots')->select('id')->where('active', 1)->whereNull('deleted_at')->get();

        foreach ($bots as $bot) {
            $langs = \DB::table('chatbot_port')->where('chatbots_id', $bot->id)->select('language')->get();
            foreach ($langs as $lang) {
                $language = $lang->language;
                $rb = new \Aunnait\Rasalicante\RasaBotControl();
                try {
                    $rb->entrena($bot->id, $language);
                } catch (\Exception $e) {
                    Log::error("Error al entrenar bot $bot->id en $language: " . $e->getMessage());
                }
            }
        }
        // TODO: Hacer algo con el resultado
        Log::debug("Todos los trabajos de entrenamiento finalizados");

        return 0;
    }
}