<?php
namespace Aunnait\Rasalicante;
use Symfony\Component\Yaml\Yaml;
use Illuminate\Support\Facades\Log;

class RasaComm {

    /**
     * Sends a message to the Rasa server.
     *
     * @param string $usuario The user sending the message.
     * @param string $mensaje The message to be sent.
     * @return void
     */
    /* public function enviarMensaje(String $idBot, String $language, String $usuario, String $mensaje) {
        $port = \DB::table('chatbot_port')->where('chatbots_id', $idBot)->where('language', $language)->first()->port;
        // Si el puerto es nulo, damos excepción
        if ($port == null) {
            throw new \Exception("No se ha encontrado el puerto para el bot $idBot y el idioma $language");
        }
        $rasaEndpointO = config('rasa.rasa_url');
        $rasaEndpointO .= ":$port";
        // curl -X POST http://localhost:5005/webhooks/rest/webhook/ -d "{\"message\":\"vull fer una queixa\",\"sender\":\"pepito5\"}"
        // curl -X GET http://localhost:5005/conversations/pepito5/tracker

        $rasaEndpoint = $rasaEndpointO . "/webhooks/rest/webhook";
        $data = array('sender' => $usuario, 'message' => $mensaje);
        $data_string = json_encode($data);
        $ch = curl_init($rasaEndpoint);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json')
        );
        $respuesta = curl_exec($ch);
        Log::info('Respuesta de Rasa: ' . $respuesta);
        // Obtener tracker a través del endpoint de conversaciones
        //$rasaEndpoint = RasaConfig::getRasaUrl();
        $rasaEndpoint = $rasaEndpointO . "/conversations/$usuario/tracker";
        $ch = curl_init($rasaEndpoint);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $tracker = curl_exec($ch);
        Log::info('Respuesta de Tracker: ' . $tracker);
        // Se crea la variable resultado como array para devolverlo como json
        $resultado = array();
        if (isset(json_decode($respuesta)[0])) {
            $resultado["texto"] = json_decode($respuesta)[0]->text;
        } else {
            $resultado["texto"] = "Perdone, no le he terminado de entender, repita por favor.";
        }

        // El resultado es un comando de finalización de formulario
        if (substr($resultado["texto"], 0, 1) == "[" ) {
            if (substr($resultado["texto"], 1, strpos($resultado['texto'],']')-1) == "FORMULARIO_TERMINADO") {
                $resultado["intencion"] = "FORMULARIO_TERMINADO";
                // Extract the JSON string from the message
                $jsonStartPos = strpos($resultado["texto"], '{');
                $jsonStr = substr($resultado["texto"], $jsonStartPos);

                // Convert the JSON string to an array
                $resultado["slots"] = json_decode($jsonStr, true);
                // Remove elements from $resultado["slots"] with name "session_started_metadata" and "requested_slot"
                unset($resultado["slots"]["session_started_metadata"]);
                unset($resultado["slots"]["requested_slot"]);
                $fs = strpos($resultado["texto"], ']');
                $fe = strpos($resultado["texto"], '{');
                $resultado["form_terminado"] = trim(substr($resultado["texto"], $fs+1, $fe-$fs-1));
                $resultado["texto"] = "FORMULARIO_TERMINADO";
            }
        } else {
            if ( isset(json_decode($tracker)->latest_message->intent->name) ) {
                $resultado["intencion"] = json_decode($tracker)->latest_message->intent->name;
            } else {
                $resultado["intencion"] = "nlu_fallback";
            }
            if ( isset(json_decode($tracker)->slots)) {
                $slots = json_decode($tracker)->slots;
            } else {
                $slots = [];
            }
            $resultado["slots"] = [];
            foreach ($slots as $key => $value) {
                if ($value != null && $key != "requested_slot" && $key != "session_started_metadata") {
                        $resultado["slots"][$key] = $value;
                }
            }

        }

        // Comprobar si no estaba accesible
        if (json_decode($tracker) == null) {
            throw new \Exception("No se ha podido acceder al tracker del usuario $usuario");
        }
        // Añadir la id de la conversación en un campo "usuario"
        $resultado["usuario"] = json_decode($tracker)->sender_id;

        // Obtener el elementos "slots" del tracker y obtener todos los elementos no nulos que no sean "requested-slot" ni "session_started_metadata"

        // obtener el objeto active_loop (si existe) y su propiedad name para guardarla como variable. Si no existe "name", la variable es nula.
        $active_loop = json_decode($tracker)->active_loop;
        // Si existe $active_loop['name'] se guarda en $resultado["active_loop"]
        if (isset($active_loop->name)) {
            $resultado["form"] = $active_loop->name;
        } else {
            $resultado["form"] = null;
        }
        // Enviar evento para que se procese la respuesta



        // TODO: Queda señalizar cuando comienza y acaba un formulario
        event(new \Aunnait\Rasalicante\Events\RasaRespuesta($resultado["texto"],
                                                            $resultado["intencion"],
                                                            $resultado["usuario"],
                                                            $resultado["form"],
                                                            $resultado["slots"]));

        return json_encode($resultado);

    } */

public function enviarMensaje(String $idBot, String $language, String $usuario, String $mensaje) {

    $port = \DB::table('chatbot_port')->where('chatbots_id', $idBot)->where('language', $language)->first()->port;
    // Si el puerto es nulo, damos excepción
    if ($port == null) {
        throw new \Exception("No se ha encontrado el puerto para el bot $idBot y el idioma $language");
    }
    //$rasaEndpointO = config('rasa.rasa_url');
    $rasaEndpointO = "http://127.0.0.1";
    $rasaEndpointO .= ":$port";
    // curl -X POST http://localhost:5005/webhooks/rest/webhook/ -d "{\"message\":\"vull fer una queixa\",\"sender\":\"pepito5\"}"
    // curl -X GET http://localhost:5005/conversations/pepito5/tracker

    if($mensaje && $mensaje!= "" && $mensaje!= null && $language && $language!= "" && $language!= null){
        $patternCancelar = "/\b(cancelar|salir|irme|parar|detener)\b/i";
        $patternAgente = "/\b(agente|desvio)\b/i";
        switch($language){
            case 'valenciano':
                $patternCancelar = "/\b(cancelar|eixir|anar-me|parar|detindre)\b/i";
                $patternAgente = "/\b(agent|desviament)\b/i";
                break;
            case 'ingles':
                $patternCancelar = "/\b(cancel|leave|stop|quit|end)\b/i";
                $patternAgente = "/\b(agent|transfer)\b/i";
                break;
            default:
                break;
        }
        if (preg_match($patternCancelar, $mensaje) || preg_match($patternAgente, $mensaje)) {
            //Log::info('El mensaje contiene una palabra clave para intencion cancelar .');
            //Log::info('El mensaje contiene una palabra clave para intencion desvio de agente.');
        }else{
            $rasaEndpoint = $rasaEndpointO . "/conversations/$usuario/tracker";
            $ch = curl_init($rasaEndpoint);
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            $tracker = curl_exec($ch);
            $trackerObj = json_decode($tracker);
            //Log::info('Respuesta del Tracker dentro validacion: ' . $tracker);
            if(isset($trackerObj->slots->requested_slot) && $trackerObj->slots->requested_slot !== null){
                // Consultar las listas asociadas al chatbot ID especificado
                $listIds = \DB::table('lists')
                    ->where('chatbot_id', $idBot)
                    ->where('lists.name',$trackerObj->slots->requested_slot)
                    ->pluck('id');
                Log::info('El requested_slot es: ' . $trackerObj->slots->requested_slot);
                // Consultar los sinónimos que están ligados a los términos de las listas del bot
                $synonyms = \DB::table('synonyms')
                    ->join('synonym_terms', 'synonyms.id', '=', 'synonym_terms.synonym_id')
                    ->join('list_terms', 'synonym_terms.term_id', '=', 'list_terms.id')
                    ->where('synonym_terms.language', $language)
                    ->whereIn('list_terms.list_id', $listIds)
                    ->select('synonyms.id', 'synonyms.synonym', 'synonym_terms.term')
                    ->get();
                $message = strtolower($mensaje);

                // Filtrar la colección para verificar la presencia del mensaje
                $match = $synonyms->filter(function ($item) use ($message) {
                        return strtolower($item->synonym) === $message || strtolower($item->term) === $message;
                })->isNotEmpty();

                if (!$match) {
                    $resultado = array();
                    $slots = $trackerObj->slots;
                    $resultado["slots"] = [];
                    foreach ($slots as $key => $value) {
                        if ($value != null && $key != "requested_slot" && $key != "session_started_metadata") {
                                $resultado["slots"][$key] = $value;
                        }
                    }
                    $resultado["usuario"] = $trackerObj->sender_id;
                    $resultado["texto"] = "Perdone, no le he terminado de entender, repita por favor.";
                    $resultado["intencion"] = "nlu_fallback";
                    $resultado["requested_slot"] = $trackerObj->slots->requested_slot;
                    if (isset($trackerObj->active_loop->name)) {
                        $resultado["form"] = $trackerObj->active_loop->name;
                    } else {
                        $resultado["form"] = null;
                    }
                    event(new \Aunnait\Rasalicante\Events\RasaRespuesta($resultado["texto"],
                                                        $resultado["intencion"],
                                                        $resultado["usuario"],
                                                        $resultado["form"],
                                                        $resultado["slots"],
                                                        $resultado["requested_slot"]));
                    return json_encode($resultado);
                }
                Log::info('La informacion del slot es valida');

            }
            //Log::info('No hay slotrs para validar');
        }
    }
    $rasaEndpoint = $rasaEndpointO . "/webhooks/rest/webhook";
    $data = array('sender' => $usuario, 'message' => $mensaje);
    $data_string = json_encode($data);
    $ch = curl_init($rasaEndpoint);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
    curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array(
        'Content-Type: application/json')
    );
    $respuesta = curl_exec($ch);
    //Log::info('Respuesta de Rasa: ' . $respuesta);
    // Obtener tracker a través del endpoint de conversaciones
    //$rasaEndpoint = RasaConfig::getRasaUrl();
    $rasaEndpoint = $rasaEndpointO . "/conversations/$usuario/tracker";
    $ch = curl_init($rasaEndpoint);
    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    $tracker = curl_exec($ch);
    //Log::info('Respuesta de Tracker: ' . $tracker);
    // Se crea la variable resultado como array para devolverlo como json
    $resultado = array();
    if (isset(json_decode($respuesta)[0])) {
        $resultado["texto"] = json_decode($respuesta)[0]->text;
    } else {
        $resultado["texto"] = "Perdone, no le he terminado de entender, repita por favor.";
    }

    // El resultado es un comando de finalización de formulario
    if (substr($resultado["texto"], 0, 1) == "[" ) {
        if (substr($resultado["texto"], 1, strpos($resultado['texto'],']')-1) == "FORMULARIO_TERMINADO") {
            $resultado["intencion"] = "FORMULARIO_TERMINADO";
            // Extract the JSON string from the message
            $jsonStartPos = strpos($resultado["texto"], '{');
            $jsonStr = substr($resultado["texto"], $jsonStartPos);

            // Convert the JSON string to an array
            $resultado["slots"] = json_decode($jsonStr, true);
            // Remove elements from $resultado["slots"] with name "session_started_metadata" and "requested_slot"
            unset($resultado["slots"]["session_started_metadata"]);
            unset($resultado["slots"]["requested_slot"]);
            $fs = strpos($resultado["texto"], ']');
            $fe = strpos($resultado["texto"], '{');
            $resultado["form_terminado"] = trim(substr($resultado["texto"], $fs+1, $fe-$fs-1));
            $resultado["texto"] = "FORMULARIO_TERMINADO";
        }
    } else {
        if ( isset(json_decode($tracker)->latest_message->intent->name) ) {
            $resultado["intencion"] = json_decode($tracker)->latest_message->intent->name;
        } else {
            $resultado["intencion"] = "nlu_fallback";
        }
        if ( isset(json_decode($tracker)->slots)) {
            $slots = json_decode($tracker)->slots;
        } else {
            $slots = [];
        }
        $resultado["slots"] = [];
        foreach ($slots as $key => $value) {
            if ($value != null && $key != "requested_slot" && $key != "session_started_metadata") {
                    $resultado["slots"][$key] = $value;
            }
        }

    }

    // Comprobar si no estaba accesible
    if (json_decode($tracker) == null) {
        throw new \Exception("No se ha podido acceder al tracker del usuario $usuario");
    }
    // Añadir la id de la conversación en un campo "usuario"
    $resultado["usuario"] = json_decode($tracker)->sender_id;

    // Obtener el elementos "slots" del tracker y obtener todos los elementos no nulos que no sean "requested-slot" ni "session_started_metadata"

    // obtener el objeto active_loop (si existe) y su propiedad name para guardarla como variable. Si no existe "name", la variable es nula.
    $active_loop = json_decode($tracker)->active_loop;
    // Si existe $active_loop['name'] se guarda en $resultado["active_loop"]
    if (isset($active_loop->name)) {
        $resultado["form"] = $active_loop->name;
    } else {
        $resultado["form"] = null;
    }
    // Enviar evento para que se procese la respuesta



    // TODO: Queda señalizar cuando comienza y acaba un formulario
    event(new \Aunnait\Rasalicante\Events\RasaRespuesta($resultado["texto"],
                                                        $resultado["intencion"],
                                                        $resultado["usuario"],
                                                        $resultado["form"],
                                                        $resultado["slots"]));

    return json_encode($resultado);

}


    /**
     * Entrena el bot con el nombre y el idioma especificados.
     *
     * @param string $bot El nombre del bot.
     * @param string $language El idioma en el que se entrenará el bot.
     * @return string El resultado del entrenamiento.
     */
    public function entrena(String $bot, String $language) {
        Log::debug("El entrenamiento para el bot $bot en $language va a comenzar");
        $rt = new RasaTraining();
        $basePath = "/opt/rasa/$bot-$language/";

        $port = \DB::table('chatbot_port')->where('chatbots_id', $bot)->where('language', $language)->first()->port;
        if ($port == null) {
            throw new \Exception("No se ha encontrado el puerto para el bot $bot y el idioma $language");
        }

        // Crear domain.yml
        $domain = $rt->createDomainYaml($bot, $language);

        // Crear nlu.yml
        $nlu = $rt->createNluYaml($bot, $language);

        // Crear stories.yml
        $stories = $rt->createStoriesYaml($bot,$language);


        // Crear rules.yml
        $rules = $rt->createRulesYaml($bot, $language);

        // Crear pipeline.yml
        $pipeline = $rt->createPipelineYaml($bot, $language);

        // Crear rulespolicy.yml
        $rulespolicy = $rt->createRulesPolicyYaml($bot, $language);
        // Write the rulespolicy to /tmp/bot-{botid}-rules.yml

        // Escribir el contenido de $rules en /opt/rasas/catalan/data/rules.yml
        $file_path = $basePath.'data/rules.yml';
        file_put_contents($file_path, $rules);
        // Escribir el contenido de $stories en /opt/rasa/catalan/data/stories.yml
        $file_path = $basePath.'data/stories.yml';
        file_put_contents($file_path, $stories);

        // Escribir el contenido de $nlu en /opt/rasa/catalan/data/nlu.yml
        $file_path = $basePath.'data/nlu.yml';
        file_put_contents($file_path, $nlu);

        // Escribir el contenido de $domain en /opt/rasa/catalan/domain.yml
        $file_path = $basePath.'domain.yml';
        file_put_contents($file_path, $domain);

        // Escribir el contenido de $pipeline en /opt/rasa/catalan/config.yml
        $file_path = $basePath.'config.yml';
        file_put_contents($file_path, $pipeline);

        // Append el contenido de $rulespolicy en /opt/rasa/catalan/config.yml
        file_put_contents($file_path, $rulespolicy, FILE_APPEND);

        $data = [
            $domain,
            $pipeline,
            $nlu,
            $stories,
            $rules,
            $rulespolicy
        ];
        try{
            //$rasaEndpoint = "http://127.0.0.1:5005/model/train";
            //$rasaEndpoint = config('rasa.rasa_url') . ":$port/model/train";
            $rasaEndpoint = "http://127.0.0.1:$port/model/train";
            Log::debug(" endpoint entrenamiento: $rasaEndpoint");
            $data_string=implode("\n",$data);
            $ch = curl_init($rasaEndpoint);
            curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
            curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
            curl_setopt($ch, CURLOPT_HTTPHEADER, array(
                'Content-Type: application/yaml')
            );
            $respuesta = curl_exec($ch);

            $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
            if ($httpCode != 200) {
                throw new \Exception("Error al entrenar el bot $bot en el puerto $port. Código de respuesta: $httpCode. Respuesta: $respuesta");
            }
            Log::debug("El entrenamiento para el bot $bot en $language finalizo con código $httpCode");

            return $httpCode;
        }catch (\Exception $e) {
            // Registrar el mensaje de la excepción
            Log::error("Error al entrenar el bot: " . $e->getMessage());

            // Opcional: Registrar la traza completa de la excepción
            Log::error($e->getTraceAsString());
        }

    }




    // TODO: Implementar obtener el historial completo de la conversacion
    /**
     * Obtener historial del tracker
     *
     * @param string $usuario El usuario del que se quiere obtener el historial
     * @return string El historial del usuario
     */
    public function obtenerHistorial(String $bot, String $usuario) {
        $port = \DB::table('chatbot_port')->where('chatbots_id', $bot)->first()->port;
        //$rasaEndpointO = config('rasa.rasa_url');http://127.0.0.1
        $rasaEndpointO = "http://127.0.0.1";
        $rasaEndpointO .= ":$port";
        $rasaEndpoint = $rasaEndpointO . "/conversations/$usuario/tracker";
        $ch = curl_init($rasaEndpoint);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $t = curl_exec($ch);
        $tracker = json_decode($t);



        return $tracker->events;

    }

    /**
     * Login a user in the Rasa server.
     *
     * @param string $usuario The user to be logged in.
     * @return void
     *
     * /
     * public function login(String $usuario) {
     *     $rasaEndpoint = config('rasa.rasa_url') . "/conversations/$usuario/execute";
     *     $data = array('name' => 'login');
     *     $data_string = json_encode($data);
     *     $ch = curl_init($rasaEndpoint);
     *     curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
     *     curl_setopt($ch, CURLOPT_POSTFIELDS, $data_string);
     *     curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
     *     curl_setopt($ch, CURLOPT_HTTPHEADER, array(
     *         'Content-Type: application/json')
     *     );
     *     $respuesta = curl_exec($ch);
     *     return $respuesta;
     * }
    */


    /**
     *
     * Hace uso del endpoint para el analisis NLU
     * del mensaje qeu se le envía.
     *
     * El formato del JSON devuelto es:
     *   {
     *     "intencion": "nombre_intencion",
     *     "porcentaje": "porcentaje_confianza",
     *     "slots": [
     *           {
     *           "nombre_slot": "valor_slot"
     *           }
     *      ]
     *   }
     *
     * @param string $text El texto a analizar
     * @param string $bot El bot que se va a usar
     * @param string $language El idioma en el que se va a analizar
     * @return json El resultado del análisis
     */
    public function testNLU($bot, $language, $text) {
        $port = \DB::table('chatbot_port')->where('chatbots_id', $bot)->where('language', $language)->first()->port;

        if ($port == null) {
            throw new \Exception("No se ha encontrado el puerto para el bot $idBot y el idioma $language");
        }
        //$rasaEndpointO = config('rasa.rasa_url');http://127.0.0.1
        $rasaEndpointO = "http://127.0.0.1";
        $rasaEndpointO .= ":$port";
        $rasaEndpoint = $rasaEndpointO . "/model/parse";
        $data = [
            "text" => $text
        ];
        $ch = curl_init($rasaEndpoint);
        curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
        curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($data));
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, array(
            'Content-Type: application/json')
        );
        $respuesta = curl_exec($ch);
        $respuestaArray = json_decode($respuesta, true);

        $result = [
            "intencion" => $respuestaArray["intent"]["name"],
            "porcentaje" => $respuestaArray["intent"]["confidence"],
            "slots" => []
        ];

        foreach ($respuestaArray["entities"] as $entity) {
            $result["slots"][] = [$entity["entity"] => $entity["value"]];
        }

        $jsonResult = json_encode($result);

        /* Devuelve un json con el formato
        {
            "intencion": "nombre_intencion",
            "porcentaje": "porcentaje_confianza",
            "slots": [
                {
                    "nombre_slot": "valor_slot"
                }
            ]
        }
        */
        return $jsonResult;
    }

}
